Bug 835545 - [Doc] IPA Password generation not implemented.
[Doc] IPA Password generation not implemented.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Identity_Management_Guide (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Deon Ballard
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 08:38 EDT by Najmuddin Chirammal
Modified: 2014-06-18 03:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 23:42:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Najmuddin Chirammal 2012-06-26 08:38:48 EDT
Section 13.4.1. (Server Configuration for sudo Rules) mentions the following to change sudo user password, the command does not work unless we provide a password with -S or -s option.

# ldappasswd -Y GSSAPI-h ipaserver.ipadocs.org uid=sudo,cn=sysaccounts,cn=etc,dc=example,dc=com
SASL/GSSAPI authentication started
SASL username: admin@EXAMPLE.COM
SASL SSF: 56
SASL data security layer installed.
Result: Server is unwilling to perform (53)
Additional info: Password generation not implemented.

Please add "-S" (or -s) to the options. 

eg:  ldappasswd -Y GSSAPI-h ipaserver.ipadocs.org -S uid=sudo,cn=sysaccounts,cn=etc,dc=example,dc=com
Comment 1 Deon Ballard 2014-05-09 23:42:57 EDT
Mass closure of bugs modified in 2013. All of these are in the currently-published docs.

Note You need to log in before you can comment on or make changes to this bug.